package com.maintain.business.service;

import com.maintain.business.domain.ErpSettlementMaterialInfo;
import com.maintain.business.domain.vo.ErpSettlementMaterialInfoVo;
import com.maintain.business.domain.bo.ErpSettlementMaterialInfoBo;
import com.maintain.common.core.page.TableDataInfo;
import com.maintain.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 结算物料明细Service接口
 *
 * @author liushuai
 * @date 2025-04-16
 */
public interface IErpSettlementMaterialInfoService {

    /**
     * 查询结算物料明细
     */
    ErpSettlementMaterialInfoVo queryById(Long id);

    /**
     * 查询结算物料明细列表
     */
    TableDataInfo<ErpSettlementMaterialInfoVo> queryPageList(ErpSettlementMaterialInfoBo bo, PageQuery pageQuery);

    /**
     * 查询结算物料明细列表
     */
    List<ErpSettlementMaterialInfoVo> queryList(ErpSettlementMaterialInfoBo bo);

    /**
     * 新增结算物料明细
     */
    Boolean insertByBo(ErpSettlementMaterialInfoBo bo);

    /**
     * 修改结算物料明细
     */
    Boolean updateByBo(ErpSettlementMaterialInfoBo bo);

    /**
     * 校验并批量删除结算物料明细信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
